Skip to content

Reply to or send a new private message

Request

Security
bearerAuth and apiKeyAuth
Bodyapplication/jsonrequired
contentobject(Content)required

Describes the content to be used in the message.

channelOptionsArray of any(ChannelOptions)

Channel specific options, if any.

scheduleDateinteger, (int64)required

Schedule date for the message.

taxonomyobject(Taxonomy)required

Tags, campaign, url shortener and other sprinklr workflow properties to be added to the message

approvalobject(Approval)

Approval option for the message.

statusstring

Status of the message. e.g. SCHEDULED, APPROVAL, SENT

sourceLocalestring

Locale of the source message, if this is a translated copy.

contentLocalestring

Locale of the message

autoResponseboolean

True if the message was published by the system or a bot.

createdTimeinteger, (int64)

Created time of the message.

modifiedTimeinteger, (int64)

Modified time of the message.

authorIdinteger, (int64)

Author Id of the user for the message

customPropertiesMetadataArray of objects(CustomPropertyWithMetadata)

Custom Property details

externalIdstring
idinteger, (int64)

Unique identifier of the post in sprinklr

accountIdinteger, (int64)
accountGroupIdstring

Account Group Id of the post

publishedDateinteger, (int64)

Published date for the post. It's a system property.

parentMessageIdinteger, (int64)

Parent message id, if any. This will be present if draft was scheduled

conversationIdstring

Conversation Identifier for the post

accountTypestring

The account type of corresponding to the accountId

channelTypestring

Social channel for the post

enrichmentsobject(MessageEnrichment)

Extra information added to the post as part of enrichment in Sprinklr.

inReplyToMessageIdstring
toProfileobject(ProfileKey_outbound)

Profile to which the reply is being sent to.

allowDuplicateMessagesboolean

Allow same messages to be used as reply.

messageCategorystring

Message Category

curl -i -X POST \
  https://developer.sprinklr.com/_mock/apis/sprinklr-v3/publishing/message \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Key: YOUR_API_KEY_HERE' \
  -d '{
    "content": {
      "title": "string",
      "titleHash": "string",
      "text": "string",
      "textHash": "string",
      "richText": "string",
      "postbackPayload": "string",
      "attachment": {
        "type": "IMAGE",
        "assetId": "string",
        "attachmentOptions": [
          {
            "channelType": "FACEBOOK",
            "accountId": 0,
            "embeddable": true,
            "category": "string",
            "noStory": true,
            "secret": true,
            "blockSocialActions": true,
            "expirationEnabled": true,
            "expirationDate": 0,
            "deletePost": true
          }
        ],
        "url": "string",
        "urlHash": "string",
        "title": "string",
        "description": "string",
        "previewUrl": "string",
        "hashedPreviewUrl": "string",
        "mimeType": "string",
        "alternateText": "string",
        "height": 0.1,
        "width": 0.1,
        "encryptedUrl": "string",
        "sizeInBytes": 0
      },
      "templateId": "string",
      "isRichText": true
    },
    "channelOptions": [
      {
        "channelType": "FACEBOOK",
        "accountId": 0,
        "scheduleNatively": true,
        "darkPost": true,
        "publishViaMobile": true
      }
    ],
    "scheduleDate": 0,
    "taxonomy": {
      "name": "string",
      "campaignId": "string",
      "subCampaignId": "string",
      "clientCustomProperties": {
        "property1": [
          "string"
        ],
        "property2": [
          "string"
        ]
      },
      "partnerCustomProperties": {
        "property1": [
          "string"
        ],
        "property2": [
          "string"
        ]
      },
      "tags": [
        "string"
      ],
      "urlShortenerId": "string"
    },
    "approval": {
      "type": {
        "text": {},
        "value": "string"
      },
      "id": "string"
    },
    "status": "string",
    "sourceLocale": "string",
    "contentLocale": "string",
    "autoResponse": true,
    "createdTime": 0,
    "modifiedTime": 0,
    "authorId": 0,
    "customPropertiesMetadata": [
      {
        "fieldName": "string",
        "type": "string",
        "label": "string",
        "clientCustomProperty": true,
        "values": [
          "string"
        ]
      }
    ],
    "externalId": "string",
    "id": 0,
    "accountId": 0,
    "accountGroupId": "string",
    "publishedDate": 0,
    "permalink": "string",
    "parentMessageId": 0,
    "conversationId": "string",
    "accountType": "string",
    "channelType": "string",
    "enrichments": {
      "sentiment": 0,
      "engageable": true,
      "messageCategory": "string",
      "messageTone": "string",
      "emotion": "string",
      "lstTopicIds": [
        "string"
      ],
      "lstThemeIds": [
        "string"
      ],
      "flaggedWords": {
        "allFlaggedWords": [
          "string"
        ],
        "imageFlaggedWords": [
          "string"
        ],
        "messageFlaggedWords": [
          "string"
        ],
        "videoFlaggedWords": [
          "string"
        ]
      }
    },
    "inReplyToMessageId": "string",
    "toProfile": {
      "channelType": "string",
      "channelId": "string",
      "screenName": "string"
    },
    "allowDuplicateMessages": true,
    "messageCategory": "string"
  }'

Responses

Success

Bodyapplication/json
Array of strings
Response
[ "string" ]